Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.html
Class Tag

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Tag

Direct Known Subclasses:
  Break, Image, Input, StyleLink

    public class Tag

extends Element

HTML Tag Element. A Tag element is of the generic form <TAG attributes... >

See Also:
  `Element`

Field Summary
`protected String` | `tag`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Tag(String tag)`

Method Summary
`void` | `write(Writer out)` Write element to a Writer.

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tag

    protected String tag

Constructor Detail

### Tag

    public Tag(String tag)

Method Detail

### write

    public void write(Writer out)
               throws IOException

  Description copied from class: `Element`
  Write element to a Writer. This abstract method is called by the Page or other containing Element to write the HTML for this element. This must be implemented by the derived Element classes.

  Specified by:
    `write` in class `Element`
  Parameters:
    `out` - Writer to write the element to.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.